// @topic T02350 GUI Window Demo
// @brief Train business object implementation

#include "train.h"

// train constructors
Train::Train()
    :
location( 0 )
{
}

// train operations
void Train::move(
    std::vector< Fl_Color > const& original_track,
    std::vector< Fl_Color >& current_display
    )
{
    current_display[ location ] = original_track[ location ];
    ++location;
    current_display[ location ] = TRAIN_DISPLAY_COLOR;
}
