// @topic T02340 GUI Window Demo
// @brief Train business object declaration

#ifndef _TRAIN_H_INCLUDED_
#define _TRAIN_H_INCLUDED_

#include <vector>
#include <FL/Fl.H>

class Train {
    int location;
    static const Fl_Color TRAIN_DISPLAY_COLOR = FL_WHITE;

public:
    // constructors
    Train();

    // operations
    void move(
        std::vector< Fl_Color > const& original_track,
        std::vector< Fl_Color >& current_display
        );

};//class Train

#endif //_TRAIN_H_INCLUDED_
